Bug 9039 - ezmlm ruins messages with attachments
ezmlm ruins messages with attachments
Status: RESOLVED INVALID
Product: obsolete
Classification: Unclassified
Component: collabnet
3.x
All All
: P3 (vote)
: TBD
Assigned To: Unknown
issues@www
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-09 08:31 UTC by _ ttran
Modified: 2009-11-08 02:27 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
message not sent through ezmlm (2.78 KB, text/plain)
2001-07-20 20:29 UTC, _ ttran
Details
the same message sent through ezmlm (3.58 KB, text/plain)
2001-07-20 20:29 UTC, _ ttran
Details

Note You need to log in before you can comment on or make changes to this bug.
Description _ ttran 2001-01-09 08:31:51 UTC
when attachments are sent with the message the MIME type multipart/mixed is
used.  The body text is one part of the message with Content-Type: text/plain.
According to RFC 1521 in this case the Content-Type header for the part can be
left out, see an example in the RFC page 66.  Emacs/Gnus does precisely this.

Unfortunately ezmlm cannot handle a part with an empty header section.  The end
result is that whenever I send a message with an attachment to the list, the
message body is lost (it's there in the raw data but not marked as a part
anymore, ezmlm destroys the header section of the part).  The recipients see
only the attachment, no text in the message body.

ezmlm violates RFC1521.

I attach a test message, twice, once sent directly to me, once through ezmlm.
Comment 1 _ ttran 2001-01-09 08:33:59 UTC
Created attachment 438 [details]
message not sent through ezmlm
Comment 2 _ ttran 2001-01-09 08:35:59 UTC
Created attachment 439 [details]
the same message sent through ezmlm
Comment 3 Unknown 2001-01-09 19:56:59 UTC
let him know we're escalating it.  I've sent
emails to the authors of ezmlm.

        Brian
Comment 4 Unknown 2001-03-15 06:58:16 UTC
This should be fixed with the new ezmlm RPM from releng, which I believe Trung
has tested.  I'll mark it closed once we're on a system which has that RPM.
Comment 5 Unknown 2001-03-17 02:02:50 UTC
Just assigning it to you ed, so that you can look at it and see if it really is 
fixed when the time comes.
Comment 6 Unknown 2001-04-07 00:49:16 UTC
can you confirm ed?
Comment 7 Unknown 2001-04-07 19:21:09 UTC
The new RPM hasn't been installed onto netbeans.org, so this is still an issue. 
I could install that RPM, or wait till we do the next upgrade.  Either is fine
with me; installing an RPM is fairly painless, but this would be a new version
of ezmlm-idx, possibly with some changes besides the bug fix.
Comment 8 Unknown 2001-05-08 21:58:28 UTC
I don't think we need to do a new upgrade so close to a major upgrade.
But, I'd just like your verbal that you have seen this issue fixed in the newer 
version (ie. the one that we are working with on SC1.0)
Comment 9 support 2001-05-26 01:00:56 UTC
This is fixed in SC, so I am marking the issue resolved later.
Comment 10 Taska 2001-10-05 01:34:34 UTC
re-opening to re-resolve fixed.
Comment 11 Taska 2001-10-05 01:35:08 UTC
re-resolving fixed.
Comment 12 Marian Mirilovic 2009-11-08 02:27:10 UTC
We recently moved out from Collabnet's infrastructure


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo